package com.ruoyi.dashboard.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wjh
 * 2025/1/13
 */
@Data
public class MchRevenueVO {

    @ApiModelProperty("今日收入")
    private BigDecimal todayIncome;

    @ApiModelProperty("昨日收入")
    private BigDecimal yesterdayIncome;

    @ApiModelProperty("今日订单")
    private Integer todayOrder;

    @ApiModelProperty("昨日订单")
    private Integer yesterdayOrder;

    @ApiModelProperty("设备总数")
    private Integer deviceCount;

    @ApiModelProperty("空闲设备数")
    private Integer freeDeviceCount;

    @ApiModelProperty("使用中设备数")
    private Integer usingDeviceCount;
}
