package com.ruoyi.ss.commandLog.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class CommandLogQuery extends CommandLogVO {

    @ApiModelProperty("操作时间范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private List<LocalDateTime> operaTimeRange;

    @ApiModelProperty("MAC列表")
    private List<String> macList;

}
