package com.ruoyi.ss.suit.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wjh
 * 套装查询类
 */
@Data
public class SuitQuery extends Suit {
    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("套餐id列表")
    private List<Long> suitIds;

    @ApiModelProperty("设备ID")
    private Long deviceId;

    @ApiModelProperty("手机号或用户名")
    private String mobileOrUserName;
}
