package com.ruoyi.ss.transactionBill.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author wjh
 * 2024/12/2
 */
@Data
public class TransactionDailyAmountVO {

    @ApiModelProperty("日期")
    private LocalDate date;

    @ApiModelProperty("订单总金额")
    private BigDecimal total;

    @ApiModelProperty("订单退款总金额")
    private BigDecimal refund;

    @ApiModelProperty("订单总实收金额")
    private BigDecimal received;

}
