package com.ruoyi.ss.vip.domain;

import java.util.List;

import com.ruoyi.ss.store.domain.StoreVo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/12/9
 */
@Data
public class VipVO extends Vip{

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("VIP等级名称")
    private String vipLevelName;

    @ApiModelProperty("店铺商户ID")
    private Long storeMchId;

    @ApiModelProperty("VIP商户ID")
    private Long vipMchId;

    @ApiModelProperty("店铺列表")
    private List<StoreVo> storeList;
}
