package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.ss.customerService.domain.CustomerServiceQuery;
import com.ruoyi.ss.customerService.service.CustomerServiceService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wjh
 * 2024/9/19
 */
@RestController
@RequestMapping("/app/customerService")
public class AppCustomerServiceController extends BaseController {

    @Autowired
    private CustomerServiceService customerServiceService;

    @ApiOperation("获取客服列表")
    @GetMapping("/list")
    public TableDataInfo list(CustomerServiceQuery query) {
        startPage();
        startOrderBy();
        return getDataTable(customerServiceService.selectCustomerServiceList(query));
    }

}
