package com.ruoyi.ss.transactionBill.domain.bo;

import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.payBill.domain.PayBillVO;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;
import lombok.Data;

/**
 * 支付成功BO
 * @author wjh
 * 2024/8/15
 */
@Data
public class PaySuccessBO {

    // 支付订单
    private PayBillVO payBill;

    // 设备
    private DeviceVO device;

    // 充值订单
    private TransactionBillVO order;

    // 充值渠道
    private ChannelVO channel;

}
