package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.ss.storeStaff.service.StoreStaffService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wjh
 * 2024/11/27
 */
@RestController
@RequestMapping("/app/storeStaff")
public class AppStoreStaffController extends BaseController {

    @Autowired
    private StoreStaffService storeStaffService;

    @ApiOperation("绑定当前用户为店铺员工")
    @PutMapping("/bindUser")
    public AjaxResult bindUser(@RequestParam Long employId) {
        return toAjax(storeStaffService.bindUser(employId, getUserId()));
    }

}
